@import '../../variables.scss';

.button {
  height: 55px;
  border: 2px solid transparent;
  padding: 0 50px;
  color: #fff;
  transition: 0.3s ease-out;

  &:disabled {
    background-color: transparent !important;
    border-color: $grayC !important;
    color: $grayC !important;
  }

  &.green {
    background-color: $green;

    &:hover {
      background-color: $greenDark;
    }

    &_border {
      border-color: $green;
      color: $green;

      &:hover {
        border-color: $greenDark;
        color: $greenDark;
      }
    }
  }

  &.red {
    background-color: $red;

    &:hover {
      background-color: $redDark;
    }

    &_border {
      border-color: $red;
      color: $red;

      &:hover {
        border-color: $redDark;
        color: $redDark;
      }
    }
  }
}